FD(1)

NAME
fd - find entries in the filesystem

SYNOPSIS
fd [-HIEsiaLp0hV] [-d depth] [-t filetype] [-e ext] [-E exclude] [-c when] [-j num] [-x cmd] [pattern] [path...]

DESCRIPTION
fd is a simple, fast and user-friendly alternative to find(1).

OPTIONS

-H, --hidden
    Include hidden files and directories in the search results.

-I, --no-ignore
    Do not respect files like .gitignore and .fdignore and include ignored files in the search results.

--no-ignore-vcs
    Do not respect version control ignore files like .gitignore and include the respective entries in the search results.

-s, --case-sensitive
    Perform a case-sensitive search (default: smart case).

-i, --ignore-case
    Perform a case-insensitive search (default: smart case).

-F, --fixed-strings
    Treat the pattern as a literal string instead of a regular expression.

-a, --absolute-path
    Show absolute instead of relative paths.

-L, --follow
    Dereference all symbolic links encountered.

-p, --full-path
    Match the pattern against the full path instead of just the file or directory name.

-0, --print0
    Separate search results by null characters instead of newlines.

-h, --help
    Print help information.

-V, --version
    Print version information.

-d, --max-depth d
    Limit directory traversal to at most d levels of depth. By default, there is no limit on the search depth.

-t, --type filetype
    Filter search by type:

    f, file
        regular files

    d, directories
        directories

    l, symlink
        symbolic links

    x, executable
        executable (files)
    This option can be used repeatedly to allow for multiple file types.

-e, --extension ext
    Filter search results by file extension ext. This option can be used repeatedly to allow for multiple possible file extensions.

-E, --exclude pattern
    Exclude files/directories that match the given glob pattern. This overrides any other ignore logic. Multiple exclude patterns can be specified.

--ignore-file path
    Add a custom ignore-file in '.gitignore' format. These files have a low precedence.

-c, --color when
    Declare when to colorize search results:

    auto
        Colorize output when standard output is connected to terminal (default).

    never
        Do not colorize output.

    always
        Always colorize output.

-j, --threads num
    Number of threads to use for searching (default: number of available CPUs).

-x, --exec command [args...] ;
    Execute command for each search result. The following placeholders are substituted by a path derived from the current search result:

    {}  path

    {/} basename

    {//}
        parent directory

    {.} path without file extension

    {/.}
        basename without file extension

ENVIRONMENT

LS_COLORS
    Determines how to colorize search results, see dircolors(1).

EXAMPLES

Find files and directories that match the pattern 'needle':
    $ fd needle

Start a search in a given directory (/var/log):
    $ fd nginx /var/log

Find all Python files (all files with the extention .py) in the current directory:
    $ fd -e py

SEE ALSO
find(1)